[Lunar-commits] r21944 - in moonbase/trunk/crypto/cyrus-sasl: . init.d

Jerry Lundström prox at lunar-linux.org
Thu Oct 26 14:28:44 CEST 2006


Author: prox
Date: 2006-10-26 14:28:44 +0200 (Thu, 26 Oct 2006)
New Revision: 21944

Added:
   moonbase/trunk/crypto/cyrus-sasl/init.d/
   moonbase/trunk/crypto/cyrus-sasl/init.d/saslauthd
Log:
doesnt seem to install any default stuff so

Added: moonbase/trunk/crypto/cyrus-sasl/init.d/saslauthd
===================================================================
--- moonbase/trunk/crypto/cyrus-sasl/init.d/saslauthd	                        (rev 0)
+++ moonbase/trunk/crypto/cyrus-sasl/init.d/saslauthd	2006-10-26 12:28:44 UTC (rev 21944)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# processname: saslauthd
+# chkconfig: 345 94 11
+# description: saslauthd - SASL Auth Daemon
+
+if [ ! -d /var/state/saslauthd ]; then
+    mkdir -p /var/state/saslauthd || exit 0
+fi
+
+[ -f /etc/sasl2/config ] && . /etc/sasl2/config
+
+start()
+{
+    echo -n "Starting SASL Auth Daemon: "
+    saslauthd $SASL_OPTIONS &&
+    echo -e $RESULT_OK ||
+    (echo -e $RESULT_FAIL; return -1)
+}
+
+stop()
+{
+    echo -n "Stopping SASL Auth Daemon: "
+    pidof saslauthd >/dev/null 2>&1 &&
+    (
+        killall saslauthd
+        sleep 2
+        pidof saslauthd >/dev/null 2>&1 &&
+        (echo -e $RESULT_FAIL; return -1) ||
+        echo -e $RESULT_OK
+    ) ||
+    echo -e $RESULT_FAIL
+}
+
+. /lib/lsb/init-functions



More information about the Lunar-commits mailing list